// txtmus - tail.js
//
// Copyright (C) 2014-2024 Jean-Francois Moine
//
// This file is part of txtmus-core.
//
// txtmus-core is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// txtmus-core is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with txtmus-core.  If not, see <http://www.gnu.org/licenses/>.

// initialize
	init_tune()

// Abc functions used by the modules
Mus.prototype.a_de = function() { return a_de }
Mus.prototype.add_style = function(s) { style += s }
Mus.prototype.anno_a = anno_a
Mus.prototype.cfmt = function() { return cfmt }
Mus.prototype.clone = clone
Mus.prototype.dcn_add = function(nm) {
	a_dcn.push(nm)
}
Mus.prototype.deco_cnv = deco_cnv
Mus.prototype.deco_put = function(nm, s) {
	a_dcn.push(nm)
	deco_cnv(s)
}
Mus.prototype.deffont = function() { return gene.deffont }
Mus.prototype.defs_add = defs_add
Mus.prototype.dh_put = function(nm, s, nt) {
	a_dcn.push(nm)
	dh_cnv(s, nt)
}
Mus.prototype.do_info = do_info
Mus.prototype.draw_meter = draw_meter
Mus.prototype.draw_note = draw_note
Mus.prototype.errs = errs
Mus.prototype.end_tune = end_tune
Mus.prototype.error = error
Mus.prototype.font_class = font_class
Mus.prototype.gch_tr1 = gch_tr1
Mus.prototype.generate = generate
Mus.prototype.get_bool = get_bool
Mus.prototype.get_cur_sy = function() { return cur_sy }
Mus.prototype.get_curvoice = function() { return curvoice }
Mus.prototype.decos = decos
Mus.prototype.get_font = get_font
Mus.prototype.get_font_style = function() { return font_style }
Mus.prototype.glyphs = glyphs
Mus.prototype.get_key = get_key
Mus.prototype.get_lyrics = get_lyrics
Mus.prototype.get_maps = function() { return maps }
Mus.prototype.get_multi = function() { return multicol }
Mus.prototype.get_par_sy = function() { return par_sy }
Mus.prototype.get_posy = function() { return posy }
Mus.prototype.get_staff_tb = function() { return staff_tb }
Mus.prototype.get_v_tb = function() { return voice_tb }
Mus.prototype.get_top_v = function() { return par_sy.top_voice }
Mus.prototype.get_tsfirst = function() { return tsfirst }
Mus.prototype.get_unit = get_unit
Mus.prototype.get_voice = get_voice
Mus.prototype.get_vover = get_vover
Mus.prototype.glout = glout
Mus.prototype.glovar = function() { return glovar }
Mus.prototype.img = img
Mus.prototype.info = function() { return info }
Mus.prototype.init_tune = init_tune
Mus.prototype.new_block = new_block
Mus.prototype.new_meter = new_meter
Mus.prototype.new_tempo = new_tempo
Mus.prototype.new_sym = new_sym
Mus.prototype.new_voice = new_voice
Mus.prototype.out_arp = out_arp
Mus.prototype.out_deco_str = out_deco_str
Mus.prototype.out_deco_val = out_deco_val
Mus.prototype.out_ltr = out_ltr
Mus.prototype.param_set_font = param_set_font
Mus.prototype.parse = parse
Mus.prototype.pit2mid = pit2mid
Mus.prototype.psdeco =
	Mus.prototype.psxygl = empty_function
Mus.prototype.set_cur_sy = function(sy) { cur_sy = sy }
Mus.prototype.set_curvoice = function(p_v) { curvoice = p_v }
Mus.prototype.set_dscale = set_dscale
Mus.prototype.set_font = set_font
Mus.prototype.set_a_gch = function(s, a) { a_gch = a; csan_add(s) }
Mus.prototype.set_hl = set_hl
Mus.prototype.set_midi = set_midi
Mus.prototype.set_page = set_page
Mus.prototype.set_pagef = function() { blkdiv = 1 }
Mus.prototype.set_realwidth = function(v) { realwidth = v }
Mus.prototype.set_scale = set_scale
Mus.prototype.set_sscale = set_sscale
Mus.prototype.set_st_found = function(v) { staves_found = v }
Mus.prototype.set_tsfirst = function(s) { tsfirst = s }
Mus.prototype.set_v_param = set_v_param
Mus.prototype.start_tune = start_tune
Mus.prototype.strgen = strgen
Mus.prototype.strnew = strnew
Mus.prototype.strwh = strwh
Mus.prototype.stv_g = stv_g
Mus.prototype.svg_flush = svg_flush
Mus.prototype.sym_link = sym_link
Mus.prototype.syntax = syntax
Mus.prototype.tgls = tgls
Mus.prototype.tp_adj = tp_adj
Mus.prototype.tunes = tunes
Mus.prototype.use_font = use_font
Mus.prototype.vskip = vskip
Mus.prototype.xy_str = xy_str
Mus.prototype.xygl = xygl
Mus.prototype.y_get = y_get
Mus.prototype.y_set = y_set

} // end of Mus()
