// txtmus - toparsons.js - generate the Parsons Code of tunes
//
// Copyright (C) 2022-2024 Jean-Francois Moine
//
// This file is part of txtmus.
//
// txtmus is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// txtmus is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with txtmus.  If not, see <http://www.gnu.org/licenses/>.

function mus_dump(tsfirst, voice_tb, info, cfmt) {
    var	p, pp,
	s = voice_tb[0].sym,
	o = s.fname + "\tX:" + info.X + "\t"

	for ( ; s; s = s.next) {
		if (s.typ == tm.C.note) {
			pp = s.notes[0].pit
			break
		}
	}
	for (s = s.next; s; s = s.next) {
		if (s.typ != tm.C.note)
			continue
		p = s.notes[0].pit
		if (p > pp)
			o += 'u'
		else if (p < pp)
			o += 'd'
		else
			o += 'r'
		pp = p
	}
	print(o)
} // mus_dump()

// -- local functions
tm.mus_init = function(args) {
	tm.args = args.join(' ')
}

tm.mus_end = function() {
    var	t,
	tunes = mus.tunes.slice(0)	// get a copy of the generated tunes

	if (user.errtxt)
		tm.print("\n--- Errors ---\n" + user.errtxt)

	while (1) {
		t = tunes.shift()
		if (!t)
			break
		mus_dump(t[0], t[1], t[2], t[3])
	}
}

tm.abort = function(e) {
	tm.print(e.message + "\n*** Abort ***\n" + e.stack)
	tm.mus_end()
	tm.quit()
}
