// dist-2.js file to include in html pages with abcweb-1.js or tmweb-2.js
//	and render other ABC files
//
// Copyright (C) 2022 Jean-Francois Moine
//
// This file is part of txtmus.
//
// txtmus is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// txtmus is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with txtmus.  If not, see <http://www.gnu.org/licenses/>.

// render a file
function render(e) {
    var	r, inp,
	elt = e.target

	if (elt.tagName != "A"		// not a link
	 || elt.className != "render")	// not render
		return

	function gen(str) {
	    var	sh,
		e = document.createElement('style')

		document.head.appendChild(e)
		sh = e.sheet
		sh.insertRule("svg {display:block}", sh.cssRules.length)

		document.body.innerHTML = '\
<script type="text/vnd.abc">\n\
%%musicfont url(../js/abc2svg.ttf)\n\
%%bgcolor #fff\n'
			// score + play
			+ str.replace(/%%pageheight .*\n/, '')
			+ '\n</'
			+ 'script>\n'	// end of ABC, not javascript

		dom_loaded()		// start the generation
	} // gen()

	e.stopImmediatePropagation()
	e.preventDefault()

	// if "file://..", get the file from the file reader (for test)
	if (window.location.href.slice(0, 5) == "file:") {
		inp = document.createElement('input')
		inp.type = "file"
		inp.accept = "*"
		inp.onchange = function(ev) {
			r = new FileReader()
			r.onloadend = function(ev) {
				gen(ev.target.result)
			}
			r.readAsText(ev.target.files[0], "UTF-8")
		}
		inp.click()
		return
	}

	// get the file from the HTTP server
	r = new XMLHttpRequest()
	r.open('GET', elt.href, true)
	r.onload = function() {
		if (r.status != 200) {
			alert('Error getting ' + elt.href + '\n' + r.statusText)
			return
		}
		gen(r.responseText)
	}
	r.send()
} // render
